Project

General

Profile

Actions

Bug #12709

closed

POSIX-noncompliant setenv

Added by nobu (Nobuyoshi Nakada) almost 6 years ago. Updated almost 6 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
[ruby-core:77081]

Description

I found setenv() macro which is noncompliant to POSIX is still defined in include/ruby/util.h.
I can't remember where 2-arguments setenv() was provided.
Shouldn't it be removed?

https://github.com/ruby/ruby/compare/trunk...nobu:POSIX-noncompliant-setenv

Actions

Also available in: Atom PDF